package com.ruoyi.platform.service;

import org.springframework.core.io.InputStreamResource;
import org.springframework.http.ResponseEntity;
import org.springframework.web.multipart.MultipartFile;

import java.io.InputStream;
import java.util.List;
import java.util.Map;

public interface MinioService {

    ResponseEntity<InputStreamResource> downloadFile(String bucketName , String path) throws Exception;

    ResponseEntity<InputStreamResource>  downloadZipFile(String bucketName , String path);

    Map<String, String> uploadFile(String bucketName, String objectName, MultipartFile file ) throws Exception;
    void uploaInputStream(String bucketName, String objectName, InputStream inputStream ) throws Exception;
}
